LINUX.ORG.RU

VoiP on Embedded Linux


0

1

Народ.Тут я пытаюсь сообразить следющую «весчь».Нашёл прогу опенсорса для VoIP.Называется Ekiga(предполагаю,многие знакомы). Теперь пытаюсь её перекомпилить для процессора ARM. Для этой цели были успешно открос-компилированы(для ARM) библиотеки ptlib-2.10.3 и opal-3.10.3.Opal была построена с поддрержкой протокола SIP. Теперь когда я пытаюсь отконфигурировать(перед кросс-компиляцией) Ekig-у, то получаю в конце сообщение,что Opal должна быть построена с поддержкой протокола SIP. Вот таким макаром,я сообщаю,что буду использовать библиотеки,построенные предварительно:

«PTLIB_LIBS=/home/slava/Downloads/VoIP/manual/Ekiga/ptlib-2.10.3/install/lib PTLIB_CFLAGS=/home/slava/Downloads/VoIP/manual/Ekiga/ptlib-2.10.3/install/include OPAL_LIBS=/home/slava/Downloads/VoIP/manual/Ekiga/opal-3.10.3/install/lib OPAL_CFLAGS=/home/slava/Downloads/VoIP/manual/Ekiga/opal-3.10.3/include/opal»

Может кто знает,в чём дело?Может кто-то сталкивался?

Заранее спасибо.


jet@node1:~$ apt-cache show ekiga
Package: ekiga
Priority: optional
Section: gnome
Installed-Size: 18344
Maintainer: Kilian Krause <kilian@debian.org>
Architecture: amd64
Version: 3.2.7-2
Depends: libatk1.0-0 (>= 1.29.3), libavahi-client3 (>= 0.6.16), libavahi-common3 (>= 0.6.16), libavahi-glib1 (>= 0.6.16), libc6 (>= 2.3.4), libdbus-glib-1-2 (>=0.78), libebook1.2-9 (>= 2.30.1), libedataserver1.2-13 (>= 2.30.1), libgcc1 (>=1:4.1.1), libgconf2-4 (>= 2.27.0), libglib2.0-0 (>= 2.24.0), libgtk2.0-0 (>= 2.20.0), libldap-2.4-2 (>= 2.4.7), libnotify1 (>= 0.4.5), libnotify1-gtk2.10, libopal3.6.8, libpango1.0-0 (>= 1.14.0), libpt2.6.7, libsasl2-2, libsigc++-2.0-0c2a (>= 2.0.2), libstdc++6 (>= 4.4.0), libx11-6, libxext6, libxml2 (>= 2.7.4), libxv1, gconf2 (>= 2.28.1-2), evolution-data-server
Recommends: gvfs, yelp
Suggests: siproxd, gnugk, mediaproxy, ser, rtpproxy, asterisk, yate
Filename: pool/main/e/ekiga/ekiga_3.2.7-2_amd64.deb
Size: 9149186
MD5sum: 909f3dbf0c5950f3f91e845b4ab3306a
SHA1: a369deb0c3d354bb415df3da673367cd3b807e15
SHA256: e381ec9640f6db94a40303c9df3d3746fb294c8d064d4c471fe3f87319cd5954
Description: H.323 and SIP compatible VoIP client
 H.323 and SIP compatible videoconferencing and VoIP/IP-Telephony application
 that allows you to make audio and video calls to remote users with H.323
 hardware or software (such as Microsoft Netmeeting) as well as SIP endpoints.

Вот это зависимоти в Дебиане. Некоторые из них можно дропнуть...

Jetty ★★★★★ ()

Проблема решена.Надо было добавить в PKG_CONFIG_PATH путь к нужному opal.pc файлу.

rapa ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.